{% extends 'base.html' %}
{% block title %}
    ListOfAssociations
{% endblock %}

{% block content %}
    <table class="table">

        <thead>
            <tr>
                <th style=" width: 10%">Nume</th>
                <th style=" width: 10%">Administrator</th>
                <th style=" width: 30%">Adresa</th>
                <th style=" width: 10%">Blocks</th>
                <th style=" width: 40%">Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for association in all_associations %}
            {% if association.administrator == request.user %}
            <tr>
                <td>{{association.association_name}}</td>
                <td>{{association.administrator }}</td>
                <td>{{association.address}}</td>
                <td>
                    <a href="{% url 'blocks_list' association.id %}" class="btn btn-success">Blocks</a>
                </td>
                <td>
                    <a href="{% url 'edit_association' association.id %}" class="btn btn-primary">Edit</a>
                    <a href="{% url 'association_details' association.id %}" class="btn btn-primary">Details</a>
                    <a href="{% url 'delete_association' association.id %}" class="btn btn-danger">Delete</a>
                </td>
            </tr>
            {% endif %}
        {% endfor %}
        </tbody>
    </table>
    <a href="{% url 'add_association' %}" class="btn btn-success">Adauga</a>
{% endblock %}